osgDB::Registry::ReadFunctor Struct Referenceabstract

`#include <Registry>`

Inheritance diagram for osgDB::Registry::ReadFunctor:

## Public Member Functions

| ReadFunctor (const std::string &filename, const Options *options)
virtual | ~ReadFunctor ()
virtual ReaderWriter::ReadResult | doRead (ReaderWriter &rw) const =0
virtual bool | isValid (ReaderWriter::ReadResult &readResult) const =0
virtual bool | isValid (osg::Object *object) const =0
virtual ReadFunctor * | cloneType (const std::string &filename, const Options *options) const =0
Public Member Functions inherited from osg::Referenced
| Referenced ()
| Referenced (bool threadSafeRefUnref)
| Referenced (const Referenced &)
Referenced & | operator= (const Referenced &)
virtual void | setThreadSafeRefUnref (bool)
bool | getThreadSafeRefUnref () const
OpenThreads::Mutex * | getRefMutex () const
int | ref () const
int | unref () const
int | unref_nodelete () const
int | referenceCount () const
ObserverSet * | getObserverSet () const
ObserverSet * | getOrCreateObserverSet () const
void | addObserver (Observer *observer) const
void | removeObserver (Observer *observer) const

## Public Attributes

std::string | _filename
const Options * | _options

## Additional Inherited Members

Static Public Member Functions inherited from osg::Referenced
static OpenThreads::Mutex * | getGlobalReferencedMutex ()
static void | setDeleteHandler (DeleteHandler *handler)
static DeleteHandler * | getDeleteHandler ()
Protected Member Functions inherited from osg::Referenced
virtual | ~Referenced ()
void | signalObserversAndDelete (bool signalDelete, bool doDelete) const
void | deleteUsingDeleteHandler () const
Protected Attributes inherited from osg::Referenced
OpenThreads::AtomicPtr | _observerSet
OpenThreads::Atomic | _refCount

## Detailed Description

Functor used in internal implementations.

## Constructor & Destructor Documentation

## ReadFunctor()

osgDB::Registry::ReadFunctor::ReadFunctor | ( | const std::string & | filename,
|  | const Options * | options )

inline

References _filename, and _options.

Referenced by cloneType().

## ~ReadFunctor()

virtual osgDB::Registry::ReadFunctor::~ReadFunctor | ( |  | ) |

inline virtual

## Member Function Documentation

## cloneType()

virtual ReadFunctor * osgDB::Registry::ReadFunctor::cloneType | ( | const std::string & | filename,
|  | const Options * | options ) const

pure virtual

References ReadFunctor().

## doRead()

virtual ReaderWriter::ReadResult osgDB::Registry::ReadFunctor::doRead | ( | ReaderWriter & | rw | ) | const

pure virtual

## isValid() [1/2]

virtual bool osgDB::Registry::ReadFunctor::isValid | ( | osg::Object * | object | ) | const

pure virtual

## isValid() [2/2]

virtual bool osgDB::Registry::ReadFunctor::isValid | ( | ReaderWriter::ReadResult & | readResult | ) | const

pure virtual

## Member Data Documentation

## _filename

std::string osgDB::Registry::ReadFunctor::_filename

Referenced by ReadFunctor().

## _options

const Options* osgDB::Registry::ReadFunctor::_options

Referenced by ReadFunctor().

The documentation for this struct was generated from the following file:

- osgDB/Registry